__doc__="""SQLProperties product
$Id: __init__.py,v 1.3 2000/01/21 09:23:08 anthony Exp $"""
__version__='$Revision: 1.3 $'[11:-2]

import SQLProperties
from Products.ZSQLMethods import SQL
import Shared.DC.ZRDB.Search
from ImageFile import ImageFile

classes=('SQLProperties.SQLProperties',)

meta_types=	{'name':'SQL Properties',
		 'action':'manage_addSQLPropertiesForm'
		 },

methods={
    'manage_addSQLPropertiesForm':
    SQLProperties.manage_addSQLPropertiesForm,
    'manage_addSQLProperties':
    SQLProperties.manage_addSQLProperties,
    'SQLConnectionIDs': SQL.SQLConnectionIDs,
    'ZQueryIds': Shared.DC.ZRDB.Search.ZQueryIds,

    }

misc_={'SQLProperties_icon': ImageFile('SQLProperties_icon.gif', globals()),
       }

__ac_permissions__=(
    ('Add SQL Properties', ('manage_addSQLPropertiesForm', 'manage_addSQLProperties')),
    ('Change SQLProperties', ()),
    )
